#
# spec file for package schily
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# grep -Pir 'define\s+VERSION|strvers'
%define rver	2024-03-21
%global box_version	2024.03.21
%global cdr_version	3.02~a10
%global sccs_version	5.09
%global smake_version	1.6
%global star_version	1.6.1
%global libfind_version 1.8
%global ved_version     1.8

Name:           schily
Version:        %box_version
Release:        49.1
Summary:        A collection of command-line utilities originally written by J.Schilling
License:        BSD-2-Clause AND CDDL-1.0 AND GPL-2.0-only AND GPL-2.0-or-later AND BSD-3-Clause AND HPND AND ISC
Group:          Productivity/Multimedia/CD/Record
URL:            https://codeberg.org/schilytools/schilytools

Source:         http://fuz.su/pub/schilytools/%name-%rver.tar.bz2
Source1:        README-FIRST
# Honor https://en.opensuse.org/openSUSE:Packaging_Patches_guidelines#Upstream_policy
# and submit patches upstream FIRST (cc to the bspkg maintainer perhaps).
Patch1:         iconv-name.diff
Patch2:         schily-2018-05-25_star_configuration.patch
BuildRequires:  autoconf
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libacl-devel
BuildRequires:  libattr-devel
BuildRequires:  libcap-devel
BuildRequires:  libselinux-devel
BuildRequires:  libtool
Conflicts:      cdrkit-cdrtools-compat

%description
The "Schily" Tool Box is a set of tools originally written by Jörg Schilling.

%package -n bosh
Summary:        Multibyte-capable POSIX-conforming Bourne shell
License:        CDDL-1.0
Group:          System/Shells
Conflicts:      bsh

%description -n bosh
bosh is a Bourne-style POSIX command interpreter (shell), similar to dash,
but supports multibyte input/output.

%package -n btcflash
Summary:        Firmware flash utility for BTC DRW1008 DVD±RW recorder
License:        CDDL-1.0
Group:          Hardware/Other

%description -n btcflash
Btcflash is used to read update the Firmware for a BTC DRW1008
DVD±RW recorder. Be very careful when writing firmware as this
program does not check for the correctness of the target device.

%package -n cdda2wav
Summary:        A CD Digital Audio Extraction tool
License:        CDDL-1.0
Group:          Productivity/Multimedia/CD/Grabbers
Version:        %cdr_version
Release:        49.1
Requires(post): permissions

%description -n cdda2wav
cdda2wav can retrieve CDDA audio tracks from CDROM drives that are
capable of reading audio data digitally to the host via SCSI.

%package -n cdrecord
Summary:        A CD/DVD/BD recording program
License:        CDDL-1.0
Group:          Productivity/Multimedia/CD/Record
Version:        %cdr_version
Release:        49.1
Requires(post): permissions
Conflicts:      cdrkit-cdrtools-compat

%description -n cdrecord
cdrecord is a program to record (slang: "burn") data or audio Compact Discs
on an Orange Book CD recorder, to write DVD media on a DVD recorder or to
write BluRay media on a BluRay recorder.

%package ctags
Summary:        A program to generate tag files for ex/vi
License:        BSD-2-Clause AND CDDL-1.0 AND GPL-2.0-only AND GPL-2.0-or-later AND BSD-3-Clause AND HPND AND ISC
Group:          Development/Tools/Building
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description ctags
Ctags makes a tags file for ex(1) from the specified C, Pascal,
Fortran, YACC, lex, and lisp sources. A tags file gives the locations
of specified objects in a group of files. Each line of the tags file
contains the object name, the file in which it is defined, and a
search pattern for the object definition, separated by whitespace.
Using the tags file, ex(1) can quickly locate these object
definitions.

%package -n libcdrdeflt1_0
Summary:        Library to parse the cdrecord config file
License:        CDDL-1.0
Group:          System/Libraries
Version:        %cdr_version
Release:        49.1

%description -n libcdrdeflt1_0
This library implements a mechanism to read the settings from
cdrecord's config file(s).

%package -n libdeflt1_0
Summary:        Library to parse sysconfig setting files
License:        CDDL-1.0
Group:          System/Libraries

%description -n libdeflt1_0
This library can be used to parse setting files that follow a trivial
"KEY=VALUE"-style pattern, similar to what can be found in files
located in /etc/sysconfig. libdeflt supports values with spaces
which are not quoted, and which therefore are not always compatible
with sh.

%package -n libedc_ecc1_0
Summary:        Reed-Solomon encoder for Compact Discs
License:        CDDL-1.0
Group:          System/Libraries
Version:        %cdr_version
Release:        49.1

%description -n libedc_ecc1_0
The library implements a Reed-Solomon encoder for Compact
Discs to generate Error Correcting Codes (ECC).

%package -n libedc_ecc_dec1_0
Summary:        Reed-Solomon decoder for Compact Discs
License:        CDDL-1.0
Group:          System/Libraries
Version:        %cdr_version
Release:        49.1

%description -n libedc_ecc_dec1_0
The library implements a Reed-Solomon decoder for Compact Discs with
a mechanism for Error Detection and Correction (EDC).

%package -n libfile1_0
Summary:        Library for heuristic file type determination based on content
License:        BSD-2-Clause
Group:          System/Libraries

%description -n libfile1_0
The library implements a heuristic file type determinator,
similar to file/libmagic1.

%package -n libfind4_0
Summary:        A library for /usr/bin/find-like functionality
License:        CDDL-1.0
Group:          System/Libraries
Version:        %libfind_version
Release:        49.1

%description -n libfind4_0
libfind allows to be used for adding find(1)-like command-line features
to programs.

%package -n libparanoia1_0
Summary:        Compact Disc Digital audio extraction library
License:        LGPL-2.1-only
Group:          System/Libraries
Version:        %cdr_version
Release:        49.1

%description -n libparanoia1_0
libparanoia is a Compact Disc Digital Audio (CD-DA) Digital Audio
Extraction (DAE) library for reading audio from the CD-ROM directly
as data, with no analog step between. Cdparanoia can read audio data
from inexpensive drives prone to misalignment, frame jitter and loss
of streaming during atomic reads, and attempt to repair data from CDs
that have been damaged in some way by use of the error correction
stored on the disc.

%package -n librmt1_0
Summary:        Remote tape client interface library
License:        CDDL-1.0
Group:          System/Libraries

%description -n librmt1_0
librmt offers a programmatic C interface for creating an IPC
channel to the rmt program.

%package -n librmt-devel-doc
Summary:        Manual pages for librmt functions
License:        CDDL-1.0
Group:          Documentation/Man
BuildArch:      noarch

%description -n librmt-devel-doc
This subpackage contains the manual pages for librmt's functions.

%package -n librscg1_0
Summary:        Remote SCSI user level command transport routines
License:        CDDL-1.0
Group:          System/Libraries

%description -n librscg1_0
A library containing additional routines on top of scg for dealing with
remote SCSI command transports.

%package -n libscg1_0
Summary:        SCSI transport library
License:        CDDL-1.0
Group:          System/Libraries

%description -n libscg1_0
libscg is a SCSI transport library, providing an abstraction
layer from operating systems' mechanisms to issue SCSI commands.

%package -n libscg-devel
Summary:        Development files for libscg, a SCSI transport library
License:        CDDL-1.0
Group:          Development/Libraries/C and C++
Requires:       librscg1_0 = %box_version
Requires:       libscg1_0 = %box_version
Requires:       libscgcmd1_0 = %box_version
Requires:       libschily-devel

%description -n libscg-devel
libscg is a SCSI transport library, providing an abstraction layer
from operating systems' mechanisms to issue SCSI commands.

This subpackage contains the header files for developing applications
that want to make use of libscg.

%package -n libscgcmd1_0
Summary:        SCSI command function library
License:        CDDL-1.0
Group:          System/Libraries

%description -n libscgcmd1_0
A library to create and parse SCSI commands (at the byte level).

%package -n libschily2_0
Summary:        Support library for utilities from the Schily toolbox
License:        CDDL-1.0
Group:          System/Libraries

%description -n libschily2_0
libschily contains many OS abstraction functions used by the Schily
tools.

%package -n libschily-devel
Summary:        Development files for libschily
License:        CDDL-1.0
Group:          Development/Libraries/C and C++
Requires:       libcdrdeflt1_0 = %cdr_version
Requires:       libdeflt1_0 = %box_version
Requires:       libedc_ecc1_0 = %cdr_version
Requires:       libedc_ecc_dec1_0 = %cdr_version
Requires:       libfile1_0 = %box_version
Requires:       libfind4_0 = %libfind_version
Requires:       librmt1_0 = %box_version
Requires:       libschily2_0 = %box_version
Requires:       libxtermcap1_0 = %box_version

%description -n libschily-devel
libschily contains many OS abstraction functions used by the Schily
tools.

This subpackage contains libraries and header files for developing
applications that want to make use of libschily.

%package -n libschily-devel-doc
Summary:        Manual pages for libschily functions
License:        CDDL-1.0
Group:          Documentation/Man
BuildArch:      noarch

%description -n libschily-devel-doc
libschily contains many portability functions used by the Schily
tools.

This subpackage contains manual pages for the APIs exposed by libschily.

%package -n libxtermcap1_0
Summary:        A termcap implementation
License:        CDDL-1.0
Group:          System/Libraries

%description -n libxtermcap1_0
An implementation of termcap, i.e. the termcap C functions tgetent, tputs,
etc., including the parser for the /usr/share/misc/termcap file.

%package -n mkisofs
Summary:        A program to generate an ISO-9660/Joliet/HFS/UDF hybrid filesystem
License:        GPL-2.0-only
Group:          Productivity/Multimedia/CD/Record
Version:        %cdr_version
Release:        49.1
Requires:       zisofs-tools
Conflicts:      cdrkit-cdrtools-compat

%description -n mkisofs
mkisofs is a pre-mastering program to generate filesystems following
the ISO-9660 specification. It supports the Joliet, Rock Ridge and
Apple extensions, as well as the creation of HFS/ISO-9660 and
UDF/ISO-9660 hybrid filesystem images (images that can be mounted
with either filesystem driver).

%package -n readcd
Summary:        Program to dump raw CD data to files
License:        CDDL-1.0
Group:          Productivity/Multimedia/CD/Record
Version:        %cdr_version
Release:        49.1
Requires(post): permissions
Provides:       cdrecord:/usr/bin/readcd

%description -n readcd
The readcd program can be used to read optical media and write the
contents, including subchannels and error correction codes, to files.
It can be used to write to DVD-RAM too, but other media types should
use cdrecord which supports a lot more media types.

%package -n rscsi
Summary:        Remote SCSI server
License:        CDDL-1.0
Group:          Productivity/Multimedia/CD/Record
Provides:       cdrecord:/usr/sbin/rscsi

%description -n rscsi
The rscsi command is a remote generic SCSI transport server program.
rscsi is a program that is run locally on the machine with SCSI
devices, it is used by remote programs like cdrecord(1), cdda2wav(1),
readcd(1), and sformat(1) that like to access SCSI devices through an
interprocess communication connection via libscg.  rscsi is normally
started up with an rexec(3) or rcmd(3) call but it may also be
connected via an internal pipe to an ssh(1) session that was set up
by the remote user.

%package mt
Summary:        Magnetic tape control
License:        CDDL-1.0
Group:          Productivity/Archiving/Backup
Provides:       mt
Obsoletes:      star-rmt
Provides:       star-rmt:/usr/bin/smt
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description mt
The mt/smt program sends commands to a local or a remote magnetic
tape drive.

%package rmt
Summary:        Remote magnetic tape protocol server
License:        CDDL-1.0
Group:          Productivity/Archiving/Backup
Provides:       rmt
Obsoletes:      star-rmt
Provides:       star-rmt:/usr/bin/srmt
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description rmt
rmt is a program that can be used by e.g. star and ufsdump
for accessing remote magnetic tape drives and files through an
interprocess communication connection.

A tape client would launch something like ssh for the actual
connection, and through that, have the rmt program executed.

%package -n sccs
Summary:        Source Code Control System
License:        CDDL-1.0
Group:          Development/Tools/Version Control
Conflicts:      delta
Conflicts:      ksh

%description -n sccs
Source Code Control System (SCCS) is a version control system for
tracking changes in source code and other text files during the
development of a piece of software. This allows the user to retrieve
any of the previous versions of the original source code and the
changes which are stored.

%package -n smake
Summary:        The Schily "make" program
License:        CDDL-1.0
Group:          Development/Tools/Building

%description -n smake
Smake executes command sequences based on relations of modification
dates of files. The command sequences are taken from a set of rules
found in a makefile or in the set of implicit rules. The argument
target is typically a program that is to be built from the known
rules.

%package -n spax
Summary:        Portable Archive Exchange
License:        CDDL-1.0
Group:          Productivity/Archiving/Backup
Version:        %star_version
Release:        49.1
Requires:       star = %star_version
Provides:       pax = 3.5
Obsoletes:      pax < 3.5

%description -n spax
pax is an archiving utility specified by POSIX.1-2001. The format is
basically tar, but with additional extended attributes.

%package -n star
Summary:        tar implementation compliant to POSIX.1-2001
License:        CDDL-1.0
Group:          Productivity/Archiving/Backup
Version:        %star_version
Release:        49.1

%description -n star
Star is a tar-like archiver (tar standing for Tape ARchiver).

Features:
* FIFO to keep the tape streaming
* Remote tape support
* Accurate sparse files
* Pattern matcher to archive and extract a subset of files
* User tailorable interface for comparing tar archives against file trees
* Path names up to 1024 bytes may be archived
* Stores and restores all 3 file times (even creation time). With POSIX.1-2001,
  the times are in nanosecond granularity.

%package -n ved
Summary:        The Visual Editor
License:        CDDL-1.0
Group:          Productivity/Editors/Other
Version:        %ved_version
Release:        49.1

%description -n ved
Ved (visual editor) is a screen-oriented editor that implements a
user interface somewhere between vi and emacs. It has almost no
limitations on file size and supports to edit large files (files >2
GB).

%prep
%autosetup -n %name-%rver -p1
find . "(" -type d -o -type f ")" -exec chmod u+w "{}" "+"
cp %{SOURCE1} .

%build
%define _lto_cflags %nil
perl -i -pe 's{\@echo}{echo}' RULES/cc-*
# Static link libhfs, only used by mkisofs.
rm -fv libhfs_iso/shlhfs.mk
# Static link libmdigest, very tiny.
rm -fv libmdigest/shlmdigest.mk
# Static link libshedit, used only by bosh.
rm -fv libshedit/shlshedit.mk
# Static link libsiconv. It forwards to glibc iconv for supported charsets.
rm -fv libsiconv/shlsiconv.mk

# - To enable verbosity, use with CC=cc LDCC=cc DYNLD=cc.
# - Not fully parallel safe, so stick to default.
#
mycf="%optflags -fno-strict-aliasing -fno-omit-frame-pointer -fPIC -finput-charset=ISO-8859-1 -fcommon"
gmake RUNPATH="" LINKMODE=dynamic COPTOPT="$mycf" LDOPTX="" SCCS_BIN_PRE="" SCCS_HELP_PRE="" config
gmake RUNPATH="" LINKMODE=dynamic COPTOPT="$mycf" LDOPTX="" SCCS_BIN_PRE="" SCCS_HELP_PRE="" all

%install
b="%buildroot"
# D'oh… not parallel safe
gmake GMAKE_NOWARN=true RUNPATH="" LINKMODE=dynamic SCCS_BIN_PRE="" \
	SCCS_HELP_PRE="" DESTDIR="$b" INS_BASE="%_prefix" install -j1
# Fix permissions again.
find "$b" "(" -type d -o -type f ")" -exec chmod u+w "{}" "+"

if test "%_lib" != lib; then
	mkdir -p "$b/%_libdir"
	mv "$b/%_prefix/lib"/* "$b/%_libdir/"
fi
find "$b/%_libdir" -type f -name "*.a" -print -delete
find "$b/%_libdir" -type f -name "*.so.*" -exec chmod a+x "{}" "+"

# Install documentation
mkdir -p "%_docdir"
for i in "$b/%_datadir/doc"/*; do
	test "$i" != "$b/%_docdir" && mv "$i" "$b/%_docdir/"
done
install -Dm 644 "%_sourcedir/README-FIRST" "$b/%_docdir/schily-rmt"

# bosh
mv -fv "$b/%_bindir/sh" "$b/%_bindir/bosh"
mv -fv "$b/%_mandir/man1/sh.1" "$b/%_mandir/man1/bosh.1"
ln -fsv bosh.1 "$b/%_mandir/man1/jsh.1"
ln -fsv bosh.1 "$b/%_mandir/man1/pfsh.1"
ln -fsv bosh.1 "$b/%_mandir/man1/pbosh.1"
ln -fsv bosh "$b/%_bindir/jsh"
ln -fsv bosh "$b/%_bindir/pfsh"

# Additional cdda2wav programs
install -pm 0755 cdda2wav/{cdda2mp3.new,inf2cdtext.pl,pitchplay,readmult,tracknames.pl} \
	mkisofs/hdisk.pl "$b/%_bindir/"
# Needed by cdda2wav (see cdda2wav.c)
ln -sf cdda2wav "$b/%_bindir/list_audio_tracks"
# Fix perl path
perl -pi -e 's#/usr/local/bin/perl#%_bindir/perl#g' "$b/%_bindir/tracknames.pl"
# Rename in order to not conflict with mkisofs/README in rpm doc section
#mv mkisofs/diag/README mkisofs/diag/README.diag

# libsiconv. tries to use libc's iconv first before trying its own tables.
rm -Rfv "$b/%_datadir/lib/siconv"

# spax/star
ln -sfv spax "$b/%_bindir/pax"
rm -fv "$b/%_bindir/tar" "$b/%_bindir/gnutar"

# Do not ship star_sym and suntar
rm -fv "$b/%_bindir/star_sym"
rm -fv "$b/%_bindir/suntar"
rm -fv "$b/%_mandir/man1/star_sym.1"
rm -fv "$b/%_mandir/man1/suntar.1"

# ctags
mv -v "$b/%_bindir/ctags" "$b/%_bindir/ctags-schily"
cp -v ctags/vctags.1 "$b/%_mandir/man1/"

# mt/rmt
rm -fv "$b/%_bindir/mt" # handled up u-a
ln -sv smt.1 "$b/%_mandir/man1/mt.1"
ln -sv srmt.1 "$b/%_mandir/man1/rmt.1"

# get rid of things that upset rpmlint
find "$b/usr/share/doc" -type f -name "*big*" -print -delete

# deal with this another time
find "$b"
rm -Rfv "$b/usr/ccs" "$b/usr/xpg4" "$b/%_bindir/sccs"
rm -Rfv \
   $b/etc/sformat.dat \
   $b/usr/etc/termcap \
   $b/usr/bin/Cstyle \
   $b/usr/bin/cal \
   $b/usr/bin/calc \
   $b/usr/bin/calltree \
   $b/usr/bin/change \
   $b/usr/bin/compare \
   $b/usr/bin/copy \
   $b/usr/bin/count \
   $b/usr/bin/cstyle.js \
   $b/usr/bin/diff \
   $b/usr/bin/dmake \
   $b/usr/bin/hdump \
   $b/usr/bin/krcpp \
   $b/usr/bin/label \
   $b/usr/bin/lndir \
   $b/usr/bin/make \
   $b/usr/bin/man2html \
   $b/usr/bin/match \
   $b/usr/bin/mdigest \
   $b/usr/bin/od \
   $b/usr/bin/opatch \
   $b/usr/bin/p \
   $b/usr/bin/printf \
   $b/usr/bin/pxupgrade \
   $b/usr/bin/scgcheck \
   $b/usr/bin/scgskeleton \
   $b/usr/bin/scut \
   $b/usr/bin/sfind \
   $b/usr/bin/sformat \
   $b/usr/bin/sgrow \
   $b/usr/bin/sh \
   $b/usr/bin/spaste \
   $b/usr/bin/spatch \
   $b/usr/bin/strar \
   $b/usr/bin/svr4.make \
   $b/usr/bin/termcap \
   $b/usr/bin/translit \
   $b/usr/lib*/cpp \
   $b/usr/lib*/libmakestate.so \
   $b/usr/lib*/libmakestate.so.1.0 \
   $b/usr/lib*/libhfs.so \
   $b/usr/lib*/libshedit.so \
   $b/usr/lib*/libstreamar.so \
   $b/usr/lib*/libstreamar.so.1.0 \
   $b/usr/lib*/svr4.make \
   $b/%_libdir/help/ \
   $b/%_libdir/diffh \
   $b/usr/sbin/mountcd \
   $b/usr/share/doc/packages/README \
   $b/usr/share/doc/packages/libparanoia/README.interface \
   $b/usr/share/doc/packages/libparanoia/README.paranoia \
   $b/usr/share/doc/packages/bsh/dotfiles.tar.bz2 \
   $b/usr/share/man/de/man1/sdd.1 \
   $b/usr/share/man/man1/cal.1 \
   $b/usr/share/man/man1/calc.1 \
   $b/usr/share/man/man1/calltree.1 \
   $b/usr/share/man/man1/change.1 \
   $b/usr/share/man/man1/compare.1 \
   $b/usr/share/man/man1/copy.1 \
   $b/usr/share/man/man1/count.1 \
   $b/usr/share/man/man1/cpp.1 \
   $b/usr/share/man/man1/cstyle.1 \
   $b/usr/share/man/man1/diff.1 \
   $b/usr/share/man/man1/dmake.1 \
   $b/usr/share/man/man1/gnutar.1 \
   $b/usr/share/man/man1/hdump.1 \
   $b/usr/share/man/man1/krcpp.1 \
   $b/usr/share/man/man1/label.1 \
   $b/usr/share/man/man1/lndir.1 \
   $b/usr/share/man/man1/make.1 \
   $b/usr/share/man/man1/man2html.1 \
   $b/usr/share/man/man1/match.1 \
   $b/usr/share/man/man1/mdigest.1 \
   $b/usr/share/man/man1/mountcd.1 \
   $b/usr/share/man/man1/od.1 \
   $b/usr/share/man/man1/opatch.1 \
   $b/usr/share/man/man1/p.1 \
   $b/usr/share/man/man1/patch.1 \
   $b/usr/share/man/man1/printf.1 \
   $b/usr/share/man/man1/pxupgrade.1 \
   $b/usr/share/man/man1/scgcheck.1 \
   $b/usr/share/man/man1/scgskeleton.1 \
   $b/usr/share/man/man1/scut.1 \
   $b/usr/share/man/man1/sfind.1 \
   $b/usr/share/man/man1/sgrow.1 \
   $b/usr/share/man/man1/spaste.1 \
   $b/usr/share/man/man1/spatch.1 \
   $b/usr/share/man/man1/strar.1 \
   $b/usr/share/man/man1/sysV-make.1 \
   $b/usr/share/man/man1/tartest.1 \
   $b/usr/share/man/man1/termcap.1 \
   $b/usr/share/man/man1/translit.1 \
   $b/usr/share/man/man3/getopt.3 \
   $b/usr/share/man/man3/getsubopt.3 \
   $b/usr/share/man/man3/starthandlecond.3 \
   $b/usr/share/man/man3/unhandlecond.3 \
   $b/usr/share/man/man5/makefiles.5 \
   $b/usr/share/man/man5/makerules.5 \
   $b/usr/share/man/man5/streamarchive.5 \
   $b/usr/share/man/man8/sformat.8 \
   $b/usr/share/doc/packages/dotfiles.tar.bz2

# Remove documentation (will be added in %_datadir/doc/packages/*)
#rm -Rf "$b/%_datadir/doc"/*

%fdupes -s %buildroot/%_prefix

%check
locale
export LD_LIBRARY_PATH="$(find "$PWD" -type d -name pic | perl -pe 's{\n}{:}gs')"
NO_RANDOM=TRUE make tests || :

%post -n cdrecord
%set_permissions %_bindir/cdrecord
true

%post -n cdda2wav
%set_permissions %_bindir/cdda2wav
true

%post ctags
"%_sbindir/update-alternatives" \
	--install "%_bindir/ctags" ctags "%_bindir/ctags-schily" 20
"%_sbindir/update-alternatives" --auto ctags

%postun ctags
if test "$1" = 0; then
	"%_sbindir/update-alternatives" --remove ctags "%_bindir/ctags-schily"
fi

%post -n readcd
%set_permissions %_bindir/readcd
true

%post mt
"%_sbindir/update-alternatives" \
	--install "%_bindir/mt" mt "%_bindir/smt" 10 \
	--slave "%_mandir/man1/mt.1%ext_man" "mt.1%ext_man" "%_mandir/man1/smt.1%ext_man"
"%_sbindir/update-alternatives" --auto mt

%postun mt
if test "$1" = 0; then
	"%_sbindir/update-alternatives" --remove mt "%_bindir/smt"
fi

%post rmt
"%_sbindir/update-alternatives" \
	--install "%_bindir/rmt" rmt "%_bindir/srmt" 10 \
	--slave "%_mandir/man1/rmt.1%ext_man" "rmt.1%ext_man" "%_mandir/man1/srmt.1%ext_man"
"%_sbindir/update-alternatives" --auto rmt

%postun rmt
if test "$1" = 0; then
	"%_sbindir/update-alternatives" --remove rmt "%_bindir/srmt"
fi

%post   -n libcdrdeflt1_0 -p /sbin/ldconfig
%postun -n libcdrdeflt1_0 -p /sbin/ldconfig
%post   -n libdeflt1_0 -p /sbin/ldconfig
%postun -n libdeflt1_0 -p /sbin/ldconfig
%post   -n libedc_ecc1_0 -p /sbin/ldconfig
%postun -n libedc_ecc1_0 -p /sbin/ldconfig
%post   -n libedc_ecc_dec1_0 -p /sbin/ldconfig
%postun -n libedc_ecc_dec1_0 -p /sbin/ldconfig
%post   -n libfile1_0 -p /sbin/ldconfig
%postun -n libfile1_0 -p /sbin/ldconfig
%post   -n libfind4_0 -p /sbin/ldconfig
%postun -n libfind4_0 -p /sbin/ldconfig
%post   -n libparanoia1_0 -p /sbin/ldconfig
%postun -n libparanoia1_0 -p /sbin/ldconfig
%post   -n librmt1_0 -p /sbin/ldconfig
%postun -n librmt1_0 -p /sbin/ldconfig
%post   -n librscg1_0 -p /sbin/ldconfig
%postun -n librscg1_0 -p /sbin/ldconfig
%post   -n libscg1_0 -p /sbin/ldconfig
%postun -n libscg1_0 -p /sbin/ldconfig
%post   -n libscgcmd1_0 -p /sbin/ldconfig
%postun -n libscgcmd1_0 -p /sbin/ldconfig
%post   -n libschily2_0 -p /sbin/ldconfig
%postun -n libschily2_0 -p /sbin/ldconfig
%post   -n libxtermcap1_0 -p /sbin/ldconfig
%postun -n libxtermcap1_0 -p /sbin/ldconfig

%verifyscript -n cdrecord
%verify_permissions -e %_bindir/cdrecord

%verifyscript -n cdda2wav
%verify_permissions -e %_bindir/cdda2wav

%verifyscript -n readcd
%verify_permissions -e %_bindir/readcd

%files -n bosh
%license CDDL.Schily.txt
%_bindir/bsh
%_bindir/bosh
%_bindir/jsh
%_bindir/obosh
%_bindir/pbosh
%_bindir/pfbsh
%_bindir/pfsh
%_mandir/man1/bsh.1*
%_mandir/man1/bosh.1*
%_mandir/man1/jsh.1*
%_mandir/man1/obosh.1*
%_mandir/man1/pbosh.1*
%_mandir/man1/pfbsh.1*
%_mandir/man1/pfsh.1*

%files -n btcflash
%license CDDL.Schily.txt COPYING
%_bindir/btcflash
%_mandir/man1/btcflash.1*

%files -n cdda2wav
%license CDDL.Schily.txt
%doc cdda2wav/Changelog cdda2wav/FAQ cdda2wav/Frontends cdda2wav/HOWTOUSE
%doc cdda2wav/NEEDED cdda2wav/README cdda2wav/THANKS cdda2wav/TODO
%doc cdda2wav/tracknames.txt
%_bindir/cdda2mp3
%_bindir/cdda2mp3.new
%_bindir/cdda2ogg
%attr(0755,root,root) %verify(not mode caps) %_bindir/cdda2wav
%_bindir/inf2cdtext.pl
%_bindir/list_audio_tracks
%_bindir/pitchplay
%_bindir/readmult
%_bindir/tracknames.pl
%_mandir/man1/cdda2mp3.1*
%_mandir/man1/cdda2ogg.1*
%_mandir/man1/cdda2wav.1*

%files -n cdrecord
%license CDDL.Schily.txt
%doc cdrecord/README*
%config %_sysconfdir/default/cdrecord
%verify(not mode caps) %attr(0755,root,root) %_bindir/cdrecord
%_mandir/man1/cdrecord.1*

%files ctags
%license CDDL.Schily.txt
%_bindir/ctags-schily
%_bindir/vctags
%_mandir/man1/vctags.1*

%files -n libcdrdeflt1_0
%license CDDL.Schily.txt
%_libdir/libcdrdeflt.so.1.0

%files -n libdeflt1_0
%license CDDL.Schily.txt
%_libdir/libdeflt.so.1.0

%files -n libedc_ecc1_0
%license CDDL.Schily.txt
%_libdir/libedc_ecc.so.1.0

%files -n libedc_ecc_dec1_0
%license CDDL.Schily.txt
%_libdir/libedc_ecc_dec.so.1.0

%files -n libfile1_0
%license libfile/LEGAL.NOTICE
%_libdir/libfile.so.1.0

%files -n libfind4_0
%license CDDL.Schily.txt
%_libdir/libfind.so.4.0

%files -n libparanoia1_0
%license libparanoia/LICENSE
%doc libparanoia/README*
%_libdir/libparanoia.so.1.0

%files -n librmt1_0
%license CDDL.Schily.txt
%_libdir/librmt.so.1.0

%files -n librmt-devel-doc
%_mandir/man3/librmt.3*
%_mandir/man3/mtg2rmtg.3*
%_mandir/man3/rmt*.3*

%files -n librscg1_0
%license CDDL.Schily.txt
%_libdir/librscg.so.1.0

%files -n libscg1_0
%license CDDL.Schily.txt
%_libdir/libscg.so.1.0

%files -n libscgcmd1_0
%license CDDL.Schily.txt
%_libdir/libscgcmd.so.1.0

%files -n libscg-devel
%_includedir/scg/
%_libdir/librscg.so
%_libdir/libscg.so
%_libdir/libscgcmd.so

%files -n libschily2_0
%license CDDL.Schily.txt
%_libdir/libschily.so.2.0

%files -n libschily-devel
%_includedir/schily/
%_libdir/libcdrdeflt.so
%_libdir/libdeflt.so
%_libdir/libedc_ecc.so
%_libdir/libedc_ecc_dec.so
%_libdir/libfile.so
%_libdir/libfind.so
%_libdir/libparanoia.so
%_libdir/librmt.so
%_libdir/libschily.so
%_libdir/libxtermcap.so

%files -n libschily-devel-doc
%_mandir/man3/absfpath.3*
%_mandir/man3/absnpath.3*
%_mandir/man3/abspath.3*
%_mandir/man3/astoi.3*
%_mandir/man3/astol.3*
%_mandir/man3/breakline.3*
%_mandir/man3/cmpbytes.3*
%_mandir/man3/comerr.3*
%_mandir/man3/comerrno.3*
%_mandir/man3/errmsg.3*
%_mandir/man3/errmsgno.3*
%exclude %_mandir/man3/error.3*
%_mandir/man3/fdown.3*
%_mandir/man3/fdup.3*
%_mandir/man3/fexecl.3*
%_mandir/man3/fexecle.3*
%_mandir/man3/fexecv.3*
%exclude %_mandir/man3/fexecve.3*
%_mandir/man3/file_raise.3*
%_mandir/man3/fileclose.3*
%_mandir/man3/fileluopen.3*
%_mandir/man3/fileopen.3*
%_mandir/man3/filepos.3*
%_mandir/man3/fileread.3*
%_mandir/man3/filereopen.3*
%_mandir/man3/fileseek.3*
%_mandir/man3/filesize.3*
%_mandir/man3/filestat.3*
%_mandir/man3/filewrite.3*
%_mandir/man3/findline.3*
%_mandir/man3/flush.3*
%exclude %_mandir/man3/fnmatch.3*
%_mandir/man3/format.3*
%_mandir/man3/fpipe.3*
%exclude %_mandir/man3/fprintf.3*
%_mandir/man3/getallargs.3*
%_mandir/man3/getargerror.3*
%_mandir/man3/getarginit.3*
%_mandir/man3/getargs.3*
%_mandir/man3/geterrno.3*
%_mandir/man3/getfiles.3*
%_mandir/man3/getlallargs.3*
%_mandir/man3/getlargs.3*
%_mandir/man3/getlfiles.3*
%_mandir/man3/getvallargs.3*
%_mandir/man3/getvargs.3*
%_mandir/man3/getvfiles.3*
%_mandir/man3/handlecond.3*
%_mandir/man3/js_fgetline.3*
%_mandir/man3/js_getline.3*
%_mandir/man3/movebytes.3*
%_mandir/man3/ofindline.3*
%_mandir/man3/patcompile.3*
%_mandir/man3/patmatch.3*
%_mandir/man3/peekc.3*
%exclude %_mandir/man3/printf.3*
%_mandir/man3/raisecond.3*
%_mandir/man3/resolvefpath.3*
%_mandir/man3/resolvenpath.3*
%_mandir/man3/resolvepath.3*
%_mandir/man3/spawnl.3*
%_mandir/man3/spawnv.3*
%exclude %_mandir/man3/sprintf.3*
%_mandir/man3/strcatl.3*
%_mandir/man3/streql.3*
%exclude %_mandir/man3/strlen.3*

%files -n libxtermcap1_0
%license CDDL.Schily.txt
%_libdir/libxtermcap.so.1.0

%files -n mkisofs
%license mkisofs/COPYING
%doc mkisofs/ChangeLog mkisofs/ChangeLog.mkhybrid mkisofs/README*
%doc mkisofs/RELEASE
%_bindir/devdump
%_bindir/hdisk.pl
%_bindir/isodebug
%_bindir/isodump
%_bindir/isoinfo
%_bindir/isovfy
%_bindir/mkhybrid
%_bindir/mkisofs
%_mandir/man8/devdump.8*
%_mandir/man8/isodebug.8*
%_mandir/man8/isodump.8*
%_mandir/man8/isoinfo.8*
%_mandir/man8/isovfy.8*
%_mandir/man8/mkhybrid.8*
%_mandir/man8/mkisofs.8*

%files -n readcd
%license CDDL.Schily.txt
%_bindir/readcd
%_bindir/sdd
%_mandir/man1/readcd.1*
%_mandir/man1/sdd.1*

%files -n rscsi
%license CDDL.Schily.txt
%config %_sysconfdir/default/rscsi
%_docdir/rscsi/
%_sbindir/rscsi
%_mandir/man1/rscsi.1*

%files -n sccs
%_bindir/admin
%_bindir/bdiff
%_bindir/cdc
%_bindir/comb
%_bindir/delta
%_bindir/fdiff
%_bindir/fsdiff
%_bindir/get
%_bindir/help
%_bindir/prs
%_bindir/prt
%_bindir/rcs2sccs
%_bindir/rmchg
%_bindir/rmdel
%_bindir/sact
%_bindir/sccscvt
%_bindir/sccsdiff
%_bindir/sccslog
%_bindir/udiff
%_bindir/unget
%_bindir/val
%_bindir/vc
%_bindir/what
%_mandir/man1/admin.1*
%_mandir/man1/bdiff.1*
%_mandir/man1/cdc.1*
%_mandir/man1/comb.1*
%_mandir/man1/delta.1*
%_mandir/man1/fdiff.1*
%_mandir/man1/fsdiff.1*
%_mandir/man1/get.1*
%_mandir/man1/help.1*
%_mandir/man1/prs.1*
%_mandir/man1/prt.1*
%_mandir/man1/rcs2sccs.1*
%_mandir/man1/rmdel.1*
%_mandir/man1/sact.1*
%_mandir/man1/sccs*.1*
%_mandir/man1/udiff.1*
%_mandir/man1/unget.1*
%_mandir/man1/val.1*
%_mandir/man1/vc.1*
%_mandir/man1/what.1*
%_mandir/man5/changeset.5*
%_mandir/man5/sccs*.5*

%files -n schily-mt
%license CDDL.Schily.txt
%_bindir/smt
%_mandir/man1/smt.1*
%ghost %_sysconfdir/alternatives/mt
%ghost %_sysconfdir/alternatives/mt.1%ext_man
%ghost %_mandir/man1/mt.1%ext_man

%files -n schily-rmt
%license CDDL.Schily.txt
%config(noreplace) %_sysconfdir/default/rmt
%_docdir/rmt/
%_docdir/schily-rmt
%_bindir/srmt
%_mandir/man1/srmt.1*
%ghost %_sysconfdir/alternatives/rmt
%ghost %_sysconfdir/alternatives/rmt.1%ext_man
%ghost %_mandir/man1/rmt.1%ext_man

%files -n smake
%_bindir/smake
%_datadir/lib/
%_mandir/man1/smake.1*

%files -n spax
%license CDDL.Schily.txt
%_bindir/pax
%_bindir/spax
%_mandir/man1/spax.1*

%files -n star
%license CDDL.Schily.txt
%doc AN-*
%config(noreplace) %_sysconfdir/default/star
%_bindir/fifo
%_bindir/scpio
%_bindir/star
%_bindir/tartest
%_bindir/ustar
%_docdir/star/
%_mandir/man1/fifo.1*
%_mandir/man1/scpio.1*
%_mandir/man1/star.1*
%_mandir/man1/ustar.1*
%_mandir/man5/star.5*

%files -n ved
%_bindir/ved*
%_mandir/help/
%_mandir/man1/ved*.1*
%_docdir/ved/

%changelog
* Fri Apr 12 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2024.03.21
  * mkisofs: produce less scrollback when logging progress to ttys.
* Sun Nov 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.09.26
  * smake: add new -V option to print the expanded value of macros
  * Bourne Shell: Fix bug where set -o notify or set -b would cause
    the shell to exit when ^C was pressed
* Thu Nov 17 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.10.16
  * bsh: Implement ^L support
  * libmdigest: Add support for BLAKE2 digests
  * mkisofs: No longer warn about Joliet being nonstandard. With
    the 2019 revision of ECMA 119, Joliet has been added as an
    annex to the standard.
* Wed Aug 31 2022 Thorsten Kukuk <kukuk@suse.com>
- pbosh.1: replace broken ".so sh.1" refernce with a symlink to bosh.1
* Sat Aug 27 2022 Thorsten Kukuk <kukuk@suse.com>
- Fix update-alternatives for rmt.1
* Wed Sep  1 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2021.09.01
  * smake: The man page now better describes pattern macro
    replacement.
- Drop schily-stksz.diff (resolved upstream)
* Sun Aug 15 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2021.08.14
  * A new test was added to check whether SIGSTKSZ is a constant.
  * smake: While expanding the right side of a macro assignment with
    the operators :::= and +:=, smake no longer expands $$ to $, but
    rather leaves $$ untouched.
  * smake: The dynamic macros $? and $^ now work for implicit rules
    as well.
- Add schily-stksz.diff
* Sat Jul 31 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2021.07.29
  * Bourne Shell: "cd -" now prints the new directory,
    required by POSIX.
  * star: A single Linux xattr entry with a zero length value did
    disable all Linux xattrs for the related file. This is now
    handled correctly.
  * ved: ved maxll=79 now checks whether the cursor is > column 79
    before entering a new line character.
  * ved: ved now aborts the startup if it turns out to be connected to
    a hardcopy terminal.
* Tue Jun  8 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2021.06.07
  * Manpage updates
* Thu May 20 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2021.05.19
  * Bourne Shell: The "ERR" trap is now also triggered in case that
    the error is of type "command not found" or "cannot execute".
  * Bourne Shell: the fc(1) builtin now handles "fc -l -0" the same
    way as ksh does and refers to the current command. Before, only
    "fc -l -1" did work to select the previous command.
* Tue May  4 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2021.04.21
  * Bourne Shell: The new version no longer aborts with an
    illegal multi byte sequence as "no match". As a result, the
    "*" now again matches any filename - even if the filename
    contains an illegal multi-byte sequence.
  * SunPro Make: The new operators :::= and +:= have been
    introduced.
* Thu Nov 26 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.11.25
  * libhfs_iso: changed malloc() to calloc() to avoid
    uninitialized data.
  * ved: A new colon command (ESC : vhelp) has been added.
- Remove fix_junk_in_partition.patch (upstreamed)
* Fri Nov 20 2020 Adam Majer <adam.majer@suse.de>
- fix_junk_in_partition.patch: Initialize memory that created the
  partition table instead of writing random bytes to it (bsc#1178692)
* Sat Nov  7 2020 Jan Engelhardt <jengelh@inai.de>
- Move ctags to update-alternatives scheme.
* Thu Nov  5 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.11.04
  * Bourne Shell: If a background job did finish during an
    implicit wait for a foreground job, the exit code for the
    background job was lost, which was fixed.
  * star: ACLs and Linux xattrs did not work if the path name to a
    file was longer than PATH_MAX, which was fixed.
* Fri Oct  9 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.10.09
  * Bourne Shell: The "wait" builtin is now POSIX compliant and
    returns 127 in $? in case that a process id to be waited for
    does not exist.
  * Bourne Shell: The exit code retrieved by $/ no longer is
    masked by 0xFF when this code originates from a wait(1) call.
  * Bourne Shell: The exit code from background jobs is now kept
    until the builtin wait(1) is called.
* Wed Sep 23 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.09.22
  * SCCS: delta now supports to handle nul bytes in the
    diff(1) output.
  * SCCS: delta now supports nul bytes in the new version of the
    input file if processing SCCSv6 history files.
  * SCCS: delta now by default uses `fsdiff` instead of `bdiff`.
  * SCCS: delta, if called as `delta -d ...`, now calls diff(1)
    with the option -a.
* Sat Sep  5 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.09.04
  * sccs: get(1) and delta(1) now restore the removed newline at
    the end of the last line if this was a SCCSv6 "^ANxxx" line
    to support files not ending in a newline.
  * sccs: The delta(1) command now correctly handles deltas where
    the last difference hits the end of the history file.
  * sccs: The delta(1) command now removes the e.file in case of
    an error abort.
* Thu Aug 13 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.08.12
  * star: GNU cpio archives may contain longer path names than
    permitted by the AT&T documentation, problems with which
    where fixed.
  * sccs: sccslog again allows ovelapping delgets and now allows
    overlapping delget groups to be correctly detected as commit
    bundle.
* Sun Jul 19 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.07.18
  * star: star could dump core if it was used as `star -t ...` or
    `star -x ...` while being in a UTF-8 based locale and trying
    to deal with extremely long pathnames (more than PATH_MAX) in
    the archive.
  * fifo: the fifo command is based on the star FIFO code and has
    been changed to support a FIFO size > 2 GB as well.
* Fri Jul  3 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.07.01
  * star: Backslashes are now honored when looking for the
    substitution separators in options like -s /from/to/ or
  - pax-s /from/to/
  * cdda2wav: The default for the CDDB database has been changed
    to gnudb.gnudb.org, as freedb.freedb.org has shutdown.
  * Full support for SCCSv6 history files.
  * SCCS: A new sccs(1) subcommand "histfile" has been
    implemented.
  * SCCS: admin fixed a potential buffer overflow related to the
    user (programmer) name that is used in the delta table.
* Fri Jul  3 2020 Jan Engelhardt <jengelh@inai.de>
- Run tests after build.
* Tue Jun  9 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.06.09
  * star: A new option -one-file has been added that causes star
    to exit after a single file has been extracted as a result
    from a pattern match or command line argument match.
  * star: A new option iskip=# has been introduced. The argument
    is the number of bytes to skip before looking for the first
    archive header in the first tape block read after star
    started.
  * star: A new option mtskip=# has been introduced. This option
    causes star to issue a "mt fsr xxx" equivalent on a tape
    archive.
* Tue May 26 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.05.25
  * mkisofs: Fixed an integer overflow bug in mac_label.c with
    Apple -chrp boot.
  * star: The subst command for pax now supports the \1, \2, ...
    escapes for \(...\) selections in the from pattern, like it
    is used by sed(1).
  * star: A new subst option -pax-s has been added that supports
    sed(1) like substitutions. The old option -s continues to
    support change(1) like substititions.
  * SCCS: A new option -X0 has been introduced to allow to use
    nul byte separated file names on stdin when using the file
    argument "-".
  * SCCS: The commands sccslog and sccscvt now also support the
    argument "-" as a directive to read filenames from stdin.
  * SCCS: `sccs init` now by default creates an empty changeset
    history file with release 1.0 as
    $SRC_ROOT/.sccs/SCCS/s.changeset This signals SCCS to work in
    project mode where a group of files is managed together and
    the version 1.0 allows the first proect release to become
    1.1.
  * SCCS: `sccs init -s` now allows to initialize a directory
    tree without creating a $SRC_ROOT/.sccs/SCCS/s.changeset
    history file. This signals SCCS to work in single file mode.
- Drop large_mac_iso.patch (merged)
* Wed May 13 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.05.11
  * SCCS: the "sccs root" command now checks for too many
    arguments and only allows zero or one path arguments.
  * mkisofs: README.eltorito has been enhanced to mention
    "-boot-load-size" and "-eltorito-platform efi".
  * isoinfo: Identifying an EFI boot record has been added to
    mkisofs. Isoinfo is now able to print "efi" instead of the
    unexpected "Unknown arch".
* Mon May 11 2020 Adam Majer <adam.majer@suse.de>
- mkisofs: fix integer overflow in partition table calculation
  when chrp-boot is enabled and a large ISO image is created.
  (large_mac_iso.patch, bsc#1169420)
* Wed Apr 29 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.04.18
  * smake: A new option -a has been added. This option allows to
    tell smake not to set up the automake specific make macros
    MAKE_ARCH, MAKE_OS and similar.
* Sat Mar 28 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.03.27
  * mkisofs: A new option -noatime has been introduced in order
    to use the modification time of the files instead of the last
    access time.
  * mkisofs: New options -creation-date, -effective-date,
  - expiration-date have been introduced in order to use the
    supplied time stamp instead of the current time in the PVD.
  * mkisofs: A new option -reproducible-date has been added. This
    option sets -creation-date, -modification-date,
  - effective-date and -noatime at the same time and helps to
    make usage easier.
  * Bourne Shell: The case statement now supports the alternate
    end case symbol ";;&" that has been introduced by bash. If
    ";;&" is used instead of ";;", the next pattern list is
    evaluated and if there is a match, the related command list
    is executed.
* Mon Mar 16 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.03.11
  * Bourne Shell: set -m now works in scripts as well. Before,
    bosh did never call startjobs() when the shell startup was
    done with a shell script.
  * Bourne Shell: The shell now supports the alternate ;& switch
    command limiter in addition to ;; where ;& implements a
    fallthrough to the next command list regardless on thether
    there is a match or not.
* Wed Feb 12 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2020.02.11
  * Bourne Shell: A new variable ${.sh.path} returns the absolute
    path of the binary associated to the exec() for this shell.
  * Bourne Shell: `for i in; do cmd ...; done` is now valid
    syntax even though this is useless.
  * SCCS: comb.c now puts the filename in the created shell
    script in single quotes.
  * SCCS: comb.c now forbids single quotes and backslashes in
    filenames as they would cause problems with the shell script
    created by comb.
* Tue Feb  4 2020 Jan Engelhardt <jengelh@inai.de>
- Set -fcommon [boo#1160291].
* Sun Jan 12 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 2019.12.05
  * libschily: the function getargs() and similar (from the
    option parser group) now support an extended format
    specifier: Previously, %%0 and %%1 have been supported, now all
    single digit numbers %%0..%%9 are supported.
  * libfind: The functions fetchdir()/dfetchdir(), sortdir(),
    cmpdir() now use size_t instead of int for the entry number
    count and the allocated size.
  * star: The new-volume-script= script is now called at the end
    of _every tape_, even at the last one. This now allows to
    have a script that automatically renames a standard archive
    name into numbered archive names when a tree should be
    splitted into chunks.
  * star: In "pax" command line mode, star now uses -no-fsync as
    default.
* Wed Nov 20 2019 Jan Engelhardt <jengelh@inai.de>
- Update to relesae 2019.11.11
  * star: When using star -copy, the default is now
  - no-secure-links. This is what users like since they are
    copying their own data that per definition cannot be
    untrusted external data.
  * star: star -diff is now "more smooth" to use, when the
    archive type is GNU TAR and the "atime" or "ctime" properties
    are not present for a specific file. Before, Jan 1 1970 was
    the assumed time in the archive.
  * star: star -diff now prints a diff statistics summary.
  * SCCS: Added a new delta type 'U' that allows to tell get(1)
    to remove the g-file. Such SCCS history files are going to be
    used as placeholders for removed files in the upcomming
    project mode.
  * SCCS: admin now has a new option -Xunlink. It can be used
    together with -n to create special SCCS history files that
    remove the g-file on extraction if a delta is to be extracted
    that is of type 'U'.
  * SCCS: get now honors delta table entries that use the new 'U'
    delta type and removed non-writable g-files on extraction.
    This feature only works if the history file is in SCCS V6
    mode.
  * SCCS: a new option -Xmail=address allows admin(1) and delta(1)
    to add an email address to the delta meta data.
* Sat Oct 26 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 2019.10.25
  * libfind: The recent changes to support "find dir/name -name
    name" did not work with -depth because the name base index
    needs a reset after processing the directory content.
* Tue Oct  8 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 2019.10.07
  * Fixed infinite recursion of following symlinks in libschily/resolvepath.c.
  * smake: The error message for failed shell commands has been
    modified to "Code %%d (%%s) from command line..." in order to
    cause less confusion with the text printed by smake.
  * bosh: introduced shared memory to be able to forward the
    special exit cause (NOTFOUND or NOEXEC) to the parent even in
    case it used fork() instead of vfork().
  * bosh: Added support for a new automatic parameter "$/" to
    complement the existing parameter "$?".
  * star: The option -no-secure-links now may be configured as a
    global default via the tag STAR_SECURE_LINKS= in the file
    /etc/default/star and as a private default via an environment
    of the same name.
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.08.13
  * mkisofs: The struct attrinfo in apple.h has been enhanced by the
    struct members objid_low, objid_high, rsrc_length.
* Mon Aug 12 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.07.22
  * The smake man page now mentions -N,-T,-u,-w,-j,-m-R
  * smake: fixed a potential crash when printing current directory
  * smake: implemented the -C option for gmake compatibility
* Thu Jul 11 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Disable LTO: mkisofs makes weird memory accesses otherwise
  (boo#1141188).
* Fri Jun 14 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.06.13
  * cdrecord: The manpage now lists all supported media types and
    which media types are preferred over others.
  * star 1.6.1: fixed a bug in the FIFO code where star reported "star:
    Implementation botch: with FIFO_MEOF" as the tar side of the
    FIFO did sometimes not wait for the FIFO_IWAIT state when
    called as "star -multivolume -tv f=... f=... ..."
  * bsh: When expanding file names, the directory entries "." and
    ".." are now skipped and not part of the results. This is to
    make bsh to behave similar to the Bourne Shell with respect
    to globbing.
* Sun Jun  2 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.05.28
  * SCCS: man page and help text updates
* Thu May  2 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.04.29
  * cdda2wav: The read Fallback-C2 funcion that tries to read
    with the better Sony SCSI commands did not correctly fall
    back to the MMC-C2 read function, which has been fixed.
  * readcd: a new option spt=# allows to limit the number of
    sectors per transfer for testing purposes.
  * Bourne Shell: "trap -- ..." now correctly handles "--" even
    if the next argument is "-".
  * Bourne Shell: trap now supports a new option -p that allows
    to restore the whole trap state.
* Mon Apr  1 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.03.29
  * Bourne Shell: "readonly", "export" and "local" now expand
    the tilde.
  * star: several forgotten fields of the tar header now support
    base-256 encoding.
  * star: support for new BSD and Linux file flags has been added.
  * star: The old star format no longer causes a warning when
    plain files from *BSD are imported on a UNIX with contiguous
    minor device bits.
  * star: Support for the "lzma" and "freeze2" compression has
    been added.
* Sat Mar 16 2019 Jan Engelhardt <jengelh@inai.de>
- Add Conflict markers for file-based conflicts identified
  by repo-checker.
* Fri Mar 15 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.03.11
  * star: Support for base-256 numbers in timestamps and UID/GID
    has been added. This has been planned in the 1990s already,
    when star invented the base-256 coding, but it has been
    forgotten in favor of the POSIX.1-2001 enhanded archive
    headers. Now it seems that GNU tar that copied the format
    from star uses it for timestamps and UID/GID and we need to
    implement it in order to get archive compatibility.
  * star: star did print archives with illegal 32 byte user/group
    names (where the NUL terminator is missing) "correctly", when
    in list mode but it used only the first 31 bytes when
    extractig such archives.
  * star: Creating multi volume archives without using the FIFO
    did dump core.
  * star: Creating multi volume archives without POSIX.1-2001
    support no longer sets POSIX.1-2001 extension flags for the
    volume header.
* Wed Feb 20 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.02.18
  * star 1.6: Two more FIFO problems (mainly visible on Linux)
    have been fixed.
* Thu Jan 24 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2019.01.22
  * star: fixes for a hang and pipe reading issues
  * star: The debug printing for the FIFO has been enhanced to
    print more information from the FIFO control structure to
    debug problems like the ones mentioned above.
  * star now ignores SIGPIPE.
* Thu Dec  6 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.12.06
  * sccs-prs now prints the SCCS v6 initial path using the new
    keyword :Gp:.
  * sccs-prs now prints the SCCS v6 unified random using the new
    keyword :Gr:.
  * sccs: libcomobj: A parser for the SCCS v6 flags has been added.
  * sccs: libcomobj: A parser for SCCS v6 global meta data has
    been added.
- Package sccs.
* Sun Nov 25 2018 Jan Engelhardt <jengelh@inai.de>
- Package bsh, pfbsh symlinks.
* Fri Nov 23 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.11.22
  * include/schily/getopt.h: A new include file has been created
    for our libgetopt that includes an enhanced getopt()
    implementation.
  * libschily: resolvenpath() did not work as expected when some
    path names do not exist. A stat() call that should check
    whether we already reached the "/" directory caused a return
    (-1) even with (flags & RSPF_EXIST) == 0. This bug caused
    star to classify more symlinks as dangerous than needed.
- Remove schily-linker.diff (resolved upstream)
* Thu Nov  8 2018 Jan Engelhardt <jengelh@inai.de>
- Trim SELINUX from schily-2018-05-25_star_configuration.patch,
  it is already determined by %%configure now.
* Tue Nov  6 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.10.30
  * bsh/Bourne Shell/star: a very long path name could cause a
    core dump with a "chdir()" operation in some cases.
  * star: "star -c H=exustar -pax-o binary" now correctly results in
    unencoded strings for uname/gname/path/linkpath.
  * star: a new option -no-secure-links allows to disable the secure
    default behavior.
  * Changes to libfind options like -mount/-xdev and -perm;
    for details, see the AN-* files in the documentation directory.
  * New libfind primaries -chatime, -chctime, -chfile, -chown, etc.
    see AN-* for details.
  * star: Added "volatile" to a selection of struct members in
    struct m_head. This should help to avoid specific
    optimization from newer compilers that could cause problems
    with the synchronization of the fifo.
  * star: make sure that "star -c" results in a non-zero exit
    code if it is interupted by Ctrl-C.
  * star: Added new code to allow to debug a hanging FIFO.
  * star: the path name length and the link name length are now
    set from the POSIX 2001 extended tar headers in case that a
    name appears in that extended meta data.
- Removed schily-2018-05-25_star_lock.patch (no longer needed).
- Added schily-linker.diff.
- Add smake and ved subpackages.
* Wed Aug 29 2018 jengelh@inai.de
- Update to new upstream release 2018.08.24
  * star: SELinux support has been added.
  * star: dotdot atacks are now also detected if they are based
    on DOS filesystem semantics.
  * star: Added a new check for the exit code of the compress
    program.
  * star: A hard EOF on input now results in a non-zero exit code.
  * star: Now defaults to use "ssh" for the remote tape interface.
  * star: There is now a way to make -no-fsync the default
    behavior to avoid slow operation on platforms with slow
    buffer cache.
  * librmt: added a way to configure the remote shell and the
    remote tape server path.
  * star: support for unlimited file path length.
  * libschily: a new set of gt*() and fgt*() functions with
    gettext() support have been added.
  * Bourne Shell: avoid a core dump with missing HOME.
  * libfind: added a new primary "-call" that allows to call back
    into the program instead of calling exec().
  * libfind: new primaries -newerat, -newermt, -newerct.
- Remove schily-2018-05-25_star_detect_gzip_failures.patch,
  schily-2018-05-25_star_use_ssh_by_default.patch,
  schily-2018-05-25_star_no_fsync.patch,
  schily-2018-05-25_star_selinux.patch
  (merged upstream)
- Remove schily-2018-05-25_star_mk.patch (no longer needed)
* Wed Aug 29 2018 jengelh@inai.de
- Drop Conflicts against cpio-mt/tar-rmt, since update-alternatives
  is used as an arbitraring mechanism.
- Add Provides: mt, rmt.
* Sun Aug 19 2018 bwiedemann@suse.com
- Run make config before build instead of in the middle,
  to have reproducible builds (boo#1102408)
* Wed Jun  6 2018 jengelh@inai.de
- Remove schily-2018-05-25_star_bufferoverflow.patch
  (the bug is long gone, the patch has no effect)
* Tue Jun  5 2018 kstreitova@suse.com
- add patches from the star package
  * schily-2018-05-25_star_configuration.patch
  * schily-2018-05-25_star_no_fsync.patch
  * schily-2018-05-25_star_lock.patch
  * schily-2018-05-25_star_detect_gzip_failures.patch
  * schily-2018-05-25_star_bufferoverflow.patch
  * schily-2018-05-25_star_use_ssh_by_default.patch
  * schily-2018-05-25_star_mk.patch
  * schily-2018-05-25_star_selinux.patch
- add missing BuildRequires for star:
  * autoconf (because of selinux patch)
  * libacl-devel
  * libattr-devel
  * libselinux-devel
  * libtool
- install README-FIRST (as schily-rmt) documentation
- add noreplace for %%_sysconfdir/default/rmt and
  %%_sysconfdir/default/star
- move srmt from sbindir to bindir
- do not ship star_sym and suntar
* Mon May 28 2018 jengelh@inai.de
- Update to new upstream release 2018.05.25
  * star: user name, group name, path and linkpath are now
    automatically added to the POSIX.1-2001 extended header in
    case that they include non-ASCII characters (outside the
    7-bit range).
- Remove gccwarns.diff (fixed upstream), gcc48wa.diff (we no
  longer have gcc-4.8)
* Thu May 17 2018 jengelh@inai.de
- Update to new upstream release 2018.05.17
  * smake: Now using TYPE_MAXVAL(time_t) in gnewtime() instead of
    the method from 1996, to work around a problem with gcc-8.1
    and clang-6.0.
  * mkisofs: The link count computation did incorrectly count all
    directory entries for large (multi extent) files. This
    resulted in a link count that was "real number" + (sizeof
    file / 2GB)
  * mkisofs: File meta data for UDF directories that refer to a
    Rock Ridge relocated directory had been emitted as all
    zeroes.
  * star: nanosecond timestamp support
  * libfind: nanosecond timestamp support
  * star: Added a new archive format "epax". This is the same as
    "pax", but it always includes a POSIX.1-2001 extended header
    with timestamps with nanosecond resolution.
* Wed May 16 2018 jengelh@inai.de
- Update to new upstream release 2018.05.02
  * bsh: fixed a NULL deref when the file content was "#!"
  * bsh: Avoid a coredump from expressions like
    "$2222222222222222222" that cause an integer overflow while
    converting the number.
  * mkisofs: fixed crash during Joliet info creation
  * Better support for Address Sanitizer
  * (s)patch: CVE-2018-1000156 was fixed
  * star: star -diff is now able to compare nanoseconds in
    timestamps.
- Drop mkisofs-j-crash.diff (fixed upstream)
- Add gccwarns.diff to address some undefined behavior.
* Tue May  8 2018 jengelh@inai.de
- Add update-alternatives handling for (s)rmt and (s)mt
* Tue May  8 2018 jengelh@inai.de
- Add spax and star subpackages
* Wed Apr 11 2018 jengelh@inai.de
- Add iconv-name.diff; rename cp10000 to macintosh to workaround
  glibc [boo#1089126]
* Wed Apr  4 2018 jengelh@inai.de
- Add mkisofs-j-crash.diff
* Thu Mar 22 2018 jengelh@inai.de
- Move to schily-2018.03.16 source tarball
  * mkisofs and smake moved their config files to /usr/share/lib.
  * smake: when an implicit target is made, the result is now
    searched in the list of obj-directories.
- Drop fix_chrp_boot.patch (applied upstream)
- Use cdrecord.spec as a base for schily.spec. The subsequent
  changelog entries are from cdrecord.changes.
* Mon Mar 12 2018 adam.majer@suse.de
- fix_chrp_boot.patch: chrp-boot option doesn't take any parameters
  but seems to require one that it doesn't use. Fix it uses no
  parameters. (bnc#1084893)
- Always install to /usr/lib/siconv since otherwise mkisofs doesn't
  find charsets. Needs to be fixed properly later. (bnc#1084892)
* Thu Dec 14 2017 jengelh@inai.de
- Update to new upstream release 3.02~a09
  * Cdda2wav now works around a Linux glibc bug that causes stderr
    to be illegally buffered.
  * `cdda2wav -vall` no longer clobbers out-fd= to become stdin
    when compiled in 64 bit mode.
* Thu May 11 2017 adaugherity@tamu.edu
- Fix build on older distros (e.g. SLE11) -- no caps support in RPM
- Remove build dependency on mmv (not present on SLE, and its usage
  is easily replaced with a small shell script).
- Fix build on older distros (makedepend)
* Wed Dec 28 2016 jengelh@inai.de
- Update to new upstream release 3.02~a07
  * mkisofs: deduplication for files)
* Thu Jan 28 2016 jengelh@inai.de
- Update to new upstream release 3.02~a06
  * libscg: fixed a copy/paste problem in the Linux transport that
  could cause libscg to assume a timeout when no timeout occurred.
  * libscg: add a new generic option interface.
  * libscg: New option "ignore-resid" to work around a Linux kernel
  problem.
  * mkisofs: better warning messages for rotten directories when in
  multi-session mode.
* Thu Dec 31 2015 jengelh@inai.de
- Update to new upstream release 3.02~a05
  * mkisofs now tries to be more immune against rotten iso images
  when in multi session mode.
  * mkisofs no longer tries to access a string past the null byte
  when dealing with Joliet.
  * mkisofs fixed a bug related to sorting with multi extent files
  (greater than 4 GB).
* Wed Dec 16 2015 jengelh@inai.de
- Update to new upstream release 3.02~a04
  * Support for DVD-Audio was added to mkisofs.
  * Several bug fixes in mkisofs and mkisofs/diag/* programs to make
  them more robust against rotten ISO images.
* Wed Dec  2 2015 jengelh@inai.de
- Update to new upstream release 3.02~a03
  * isoinfo no longer eats up all memory when an ISO image
  with a directory loop is specified.
* Fri Nov 20 2015 jengelh@inai.de
- Update to new upstream release 3.02~a02
  * Many smaller "isoinfo" enhancements including support for
  relocated directories.
* Fri Nov  6 2015 jengelh@inai.de
- Update to new upstream release 3.02~a01
  * libparanoia: work around a bug that resulted from uninitalized
  statistics data for C2 checks.
  * cdda2wav now supports sound output on Linux again.
* Sun Aug 30 2015 jengelh@inai.de
- Update to new upstream release 3.01
  * Final version
* Wed Aug  5 2015 jengelh@inai.de
- Update to new upstream release 3.01~a31
  * Added compile support for Win-10 using non-automake-aware make
  implementations. Add some workarounds for MinGW32 compilation.
* Wed Jul  8 2015 jengelh@inai.de
- Update to new upstream release 3.01~a30
  * Added a workaround (with autoconf) for a Cygwin bug with
  [#]pragma weak.
* Thu Jun  4 2015 jengelh@inai.de
- Update to new upstream release 3.01~a29
  * (Several changes for better Haiku compatibility.)
  * Some code fixes include results from automated tests.
* Wed Mar 25 2015 jengelh@inai.de
- Update to new upstream release 3.01~a28
  * Build system changes only: manpages are installed just once
* Thu Feb 19 2015 jengelh@inai.de
- Update to new upstream release 3.01~a27
  * dlopen emulation for certain platforms
* Fri Jan  9 2015 jengelh@inai.de
- Update to new upstream release 3.01~a26
  * Add the HELIOS UNICODE mapping code. This needs to be done at
  UCS-2 level for Joliet and UDF (instead of UTF-8) and only for
  Rock Ridge (in case of a UTF-8 based target locale) using UTF-8
  based translations.
  * Make the Apple extensions work again with "mkisofs -find"
* Thu Dec  4 2014 meissner@suse.com
- run permission handling code unconditionally. bnc#899718
* Sat Nov 29 2014 jengelh@inai.de
- Update to new upstream release 3.01~a25
  * Precursory work for localization
- Run spec-beautifier for spec files
- Reenable missing capability support [bnc#899718]
* Mon Sep 22 2014 jengelh@inai.de
- Update package metadata: new upstream URLs
- Remove untracked old changes file
* Wed May  7 2014 jengelh@inai.de
- Update to new upstream release 3.01~a24
  * isoinfo now allows the user to extract all files from an ISO
  image based on the built-in find(1) command. This works even for
  milti-extent files (files > 4 GB).
  * Some enhancements for the libschily *at() function emulations
  have been added.
* Wed Mar  5 2014 jengelh@inai.de
- Update to new upstream release 3.01~a23
  * Cdrecord now prints timediffs also in hours:minutes:seconds.
  * Cdda2wav no longer includes "c2check" in the "proof" paranoia
  option to avoid a firmware bug in a TSSTcorp drive.
  * Mkisofs has slightly-reduced CPU time requirements.
  * A problem in isoinfo has been fixed; it did not always print
  timestamps in `-find -ls` mode.
* Tue Jan 21 2014 jengelh@inai.de
- Update to new upstream release 3.01~a22
  * mkisofs includes a new option, -legacy, that allows it to
  reenable the short options -H/-L/-P; these have been disabled in
  2006 for compatibility with scripts that have not been updated
  during the past 10 years.
  * libsiconv now only tries to open a file when the argument
  includes a slash in its name.
  * libschily::printf() now includes support for %%n$ argument
  reordering for the first 30 arguments.
- Drop ppc64le.patch (merged upstream)
* Mon Jan  6 2014 jengelh@inai.de
- Update to new upstream release 3.01~a21
  * This release adds some workarounds for compiling with MinGW. New
  functions xcomerr(), xcomerrno(), fxcomerr(), and fxcomerrno() in
  libschily. A bug in libschily/format.c that caused %%.*s to be
  printed incorrectly has been fixed. Some bugs in the mkisofs man
  page have been fixed.
* Thu Jan  2 2014 dvaleev@suse.com
- enable ppc64le architecture (ppc64le.patch)
* Thu Dec 26 2013 jengelh@inai.de
- Update to new upstream release 3.01~a20
  * libparanoia and cdda2wav have been enhanced to give much better
  results with slightly bad media and new hardware.
- Enable symbol versions
* Tue Dec  3 2013 jengelh@inai.de
- Update to new upstream release 3.01~a19
  * This release added different fine-grained privilege handling that
  keeps root privileges in cases where cdrtools have been called by
  a privileged program.
  * Libfind now supports "event port" type files.
  * Emulations for *at() functions have been added to libschily.
- Mark the mkisofs program (combined work) as GPL-2.0 due to
  some GPL2-only sources (mkisofs/inode.c).
* Thu Nov 14 2013 jengelh@inai.de
- Add gcc48wa.diff to work around broken gcc-4.8 behavior
* Tue Oct 15 2013 jengelh@inai.de
- Update to new upstream release 3.01a18
  * This release fixes a copy+paste bug in the Linux support code for
  fine-grained privileges.
  * Libfind no longer leaks filedescriptors with -empty.
* Fri Oct  4 2013 jengelh@inai.de
- Update to new upstream release 3.01a17
  * Automatic support has been added for ARMv5 and ARMv6.
* Thu Jul 11 2013 zawel1@gmail.com
- Update to 3.01a16
  * libparanoia: memset() call in i_silence_match() now uses the
    correct size instead of sizeof (avec)
  * libparanoia: Use dynamic arrays instead of alloca()/malloc()
    if available
* Thu Jun  6 2013 jengelh@inai.de
- Update BuildRequires, add License: fields, use %%optflags, update
  descriptions and wrap at 70 cols
- Remove unused static libraries and dissolve devel subpackage
  (now provided by libschily-devel, libscg-devel)
* Mon Jun  3 2013 jengelh@inai.de
- Update to new upstream release 3.01~a15
  * This release warns about lack of fine-grained permissions
- Temporarily deactivate extra permissions for factory submission
  while permissions package is not updated
* Tue May 14 2013 jengelh@inai.de
- Add cdda2wav.{easy,paranoid,secure}. permissions.d entries need
  to be in the same package as the file they are describing, or we
  get errors during post-build verification.
- Use tildeversion; according to author, 3.01a14 sorts before 3.01
- Resync caps list from permissions.d files to .spec file
* Sun May  5 2013 meissner@suse.com
- actually fscaps are also managed by "permissions", leave the
  %%set_permissions calls in.
- reenabled the sample permission snippets for testing.
* Sat May  4 2013 jengelh@inai.de
- Do not run set_permissions when fscaps are in use
* Sat May  4 2013 meissner@suse.com
- commented out the setuid root equivalent capabilities, cap_sys_admin
  and cap_dac_override. (bnc#550021)
- commented out unnecessary and also dangerous cap_net_bind_service
  (bnc#550021)
- add correct permission handling also for readcd and cdda2wav
* Fri May  3 2013 jengelh@inai.de
- Linux fscaps support in the RPM package (bnc#550021)
* Fri May  3 2013 davejplater@gmail.com
- Commented out permissions.d files and
  ran spec cleaner.
* Mon Apr 22 2013 zawel1@gmail.com
- Update to 3.01a14
  * new autoconf tests for sys/capability.h and cap_*() functions
  from Linux -lcap
  * trying to support suid-root-less installation of cdrecord on Linux.
  NOTE: You need "file caps" support built into your Linux installation.
  * include/schily/stat.h now contains macros to set the nanoseconds
  in timestamps in a OS independent way
  * mkisofs now identifies itdelf by default (inside the APPID string)
  as being UDF capable.
  * mkisofs now supports additional file types with UDF: named pipes,
  sockets, character devices, block devices
  * mkisofs now supports all three UNIX times with microsecond granularity
    in UDF
  * mkisofs now sets correct user/group/permission for symlinks in UDF
  * mkisofs now supports setuid, setgid, sticky bits in UDF
* Tue Apr  2 2013 jengelh@inai.de
- Dissolve Obsoletes cycle between cdrkit (source package "wodim")
  and cdrtools. Conflict tags have been submitted to cdrkit.
* Tue Feb 12 2013 zawel1@gmail.com
- Update to 3.01a12
  * mkisofs: mkisofs now reserves more space for the file names
    to avoid a path buffer overrun
  * mkisofs: fixed a bug that caused to put more than one UDF
    direcory entry for a file in case that the file is a ISO-0660
    multi-segment file.
  * mkisofs: fixed a bug that caused the wrong start sector address
    to be used for UDF in case that the file is a ISO-9660
    multi-segment file and the -sort option was used.
  * libschily: libschily::fexecv() now allows to use the parameter
    "ac" with the value -1 to indicate that the arg count is to be
    determined by the NULL pointer at the end of the arg list
  * new include files include/schily/err_*.h are used to
    encapsulate #error CPP statements that would otherwise always
    prevent compilation with K&R compilers
  * mkisofs: new option -ignore-error alows to continue on some
    errors
  * mkisofs: Avoid a 32 bit integer overflow while computing sector
    addresses for Rock Ridge CE entries
* Mon Oct  1 2012 zawel1@gmail.com
- Update to 3.01a08
  * introduce a dependency for man page subdirectories to allow
  syncing parallel make calls.
  * libschily: getperm.c now correctly supports umask +w
  * libscg & cdrecord: struct scsi_inquiry is now using a union
  around the vendor ID strings in order to avoid incorrect buffer
  overflow warnings from GCC-4.x
  * mkisofs: while introducing the new option -modification-date,
  we did accidently remove the code to set up the creation date
  in te PVD. Now creation date again contains correct data.
* Tue Mar 27 2012 davejplater@gmail.com
- Update to version 3.01a07 Fixed non position independent build of
  cdrecord with "COPTX=-fPIE" and "LDOPTX=-pie -Wl,-pie"
* Mon Dec 26 2011 hnch@gmx.net
- Disabled parallel build.
* Mon Dec 26 2011 hnch@gmx.net
- Update to 3.01a06.
* Tue Jun  7 2011 davejplater@gmail.com
- Update to 3.01a05 via source service.
* Wed Apr  6 2011 davejplater@gmail.com
- Fixed provides, obsoletes and requires to stop cdrtools from
  requiring packages from wodim.
* Sat Apr  2 2011 asterios.dramis@gmail.com
- Updated to 3.00
- Spec file updates:
  * Changed the Name: entry to cdrtools and added cdrecord as a subpackage.
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Updates in Summary: and %%description sections.
  * Removed meta package schily-cdrtools and used the main package for
    cdrkit-cdrtools-compat removal.
  * Added Conflicts: for cdda2wav and mkisofs (with icedax and genisoimage
    respectively).
  * Use smp_flags with make.
  * Updates in %%install section. Most important:
    [#] Remove installed documentation and install it manually in the %%files
    sections.
    [#] Install additional programs.
    [#] Don't run fdupes in /etc/permissions.d/ (some may want to have different
    contents in each file).
  * Updates in %%files sections.
  * Removed the %%changelog entries from the spec file.
* Sat Feb 12 2011 hnch@gmx.net
- A lot of cleanup fixes in the spec file, e.g. corrected paths,
  added debuginfo. Thanks to Křištof Želechovski for the patches.
* Fri Nov 26 2010 hnch@gmx.net
- Small fixes to satisfy rpmlint.
* Fri Nov 26 2010 hnch@gmx.net
- Updated to 3.01a01
* Wed Jun  2 2010 hnch@gmx.net
- Updated to final 3.00
* Thu Apr 15 2010 dmueller@suse.de
- fix requires(pre) -> requires(post)
* Fri Apr  9 2010 hnch@gmx.net
- Reinstalled Prerequisites as Requires(pre)
* Tue Apr  6 2010 hnch@gmx.net
- Updated to 2.01.01a77
* Tue Feb  2 2010 hnch@gmx.net
- Updated to 2.01.01a74
* Mon Jan 11 2010 hnch@gmx.net
- Updated to 2.01.01a72
* Tue Jan  5 2010 meissner@suse.de
- disable the permissions override
* Tue Dec 29 2009 hnch@gmx.net
- Updated to 2.01.01a70
* Tue Dec  1 2009 hnch@gmx.net
- Updated to 2.01.01a69
* Fri Nov 20 2009 hnch@gmx.net
- Updated to 2.01.01a68
* Wed Nov  4 2009 hnch@gmx.net
- removed /etc/permissions.d/ entries for readcd, rscsi and cdda2wav again
* Mon Nov  2 2009 hnch@gmx.net
- removed conflicting Provides: from schily-cdrtools package
* Mon Nov  2 2009 hnch@gmx.net
- Updated to a67
- added /etc/permissions.d/ entries for readcd, rscsi and cdda2wav as well
* Mon Oct 26 2009 hnch@gmx.net
- Once again permissions.d/ files, fixed spec file.
* Mon Oct 26 2009 hnch@gmx.net
- Fixed wrong naming of permissions.d/ files.
* Sun Oct 25 2009 meissner@suse.de
- import from henneodernich home repo
- removed up %%post illegal operation and instead drop in permission.d snippets
  4711 in easy mode, 0711 in secure and paranoid modes.
  added rpmlintrc to allow this temporarily
- removed unused obsoletes
- conflict with cdrkit-cdrtools-compat instead of obsoletes
- alsa-devel buildrequires
